Summary:	Electronics schematics editor
Name:		geda-gattrib
Epoch:		1
Version:	1.4.2
Release: 	%mkrel 1
Source:		http://geda.seul.org/release/v1.4/%version/%{name}-%{version}.tar.gz
Patch0:		geda-gattrib-1.4.2-fix-str-fmt.patch
Patch1:		geda-gattrib-1.4.2-fix-linkage.patch
Url:		http://www.geda.seul.org
License:	GPLv2+ 
Group:		Sciences/Other
BuildRoot:	%{_tmppath}/%name-%version
Requires:	geda-symbols = 1:%version
BuildRequires:	geda-symbols = 1:%version
Buildrequires: 	gtk+-devel
BuildRequires: 	libguile-devel >= 1.6.0 
BuildRequires: 	libgeda-devel = %version
BuildRequires:	intltool

%description
Gattrib is gEDA's attribute editor.  It reads a set of gschem .sch
files (schematic files), and creates a spreadsheet showing all
components in rows, with the associated component attributes listed in
the columns.  It allows the user to add, modify, or delete component
attributes outside of gschem, and then save the .sch files back
out.  When it is completed, it will allow the user to edit attributes
attached to components, nets, and pins.  (Currently, only component
attribute editing is implemented; pin and net attributes are displayed
only.)

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p0

%build
%configure2_5x --disable-update-desktop-database
%make

%install
rm -Rf $RPM_BUILD_ROOT
MY_DIR=%_datadir/gEDA
%makeinstall_std GEDADATADIR=$MY_DIR GEDARCDIR=$MY_DIR rcdatadir=$MY_DIR

rm -fr %buildroot/%_datadir/doc
rm -fr %buildroot/%_datadir/applications/mimeinfo.cache

%find_lang %name
%clean
rm -Rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%dir %{_datadir}/gEDA
%doc AUTHORS BUGS COPYING README
%doc design/{ProgramArchitecture.gnumeric,gEDA_Structures_updated.png}
%_bindir/gattrib
%_datadir/gEDA/system-gattribrc
%_datadir/gEDA/gattrib-menus.xml
%_datadir/applications/geda-gattrib.desktop
%_iconsdir/hicolor/*/apps/*


%changelog
* Fri Dec 26 2008 Funda Wang <fundawang@mandriva.org> 1:1.4.2-1mdv2009.1
+ Revision: 319283
- New version 1.4.2
- fix linkage and str-fmt

* Thu Aug 28 2008 Olivier Thauvin <nanardon@mandriva.org> 20080127-1mdv2009.0
+ Revision: 276956
- adjust buildrequires
- 20080127

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 20071231-3mdv2009.0
+ Revision: 245837
- rebuild

* Tue Jan 08 2008 trem <trem@mandriva.org> 20071231-1mdv2008.1
+ Revision: 146898
- new release (20071231)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 21 2007 Olivier Thauvin <nanardon@mandriva.org> 20070216-1mdv2008.0
+ Revision: 28979
- 20070216


* Sat Feb 17 2007 Olivier Thauvin <nanardon@mandriva.org> 20061020-2mdv2007.0
+ Revision: 122066
- rebuild

* Sun Dec 10 2006 Olivier Thauvin <nanardon@mandriva.org> 20061020-1mdv2007.1
+ Revision: 94516
- first mdv package
- Create geda-gattrib

